<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - QtCore/qstring.h - functions</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">QtCore</a> - qstring.h<span style="font-size: 80%;"> (<a href="qstring.h.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">24</td>
            <td class="headerCovTableEntry">52</td>
            <td class="headerCovTableEntryLo">46.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">13</td>
            <td class="headerCovTableEntry">28</td>
            <td class="headerCovTableEntryLo">46.4 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><a href="qstring.h.func-sort-c.html"><img src="../updown.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></a></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1801">_ZN10QStringRefC2EPK7QStringii</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1620">_ZN10QStringRefD2Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1544">_ZN7QString13fromStdStringERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#846">_ZN7QString6appendEPKc</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#697">_ZN7QString8fromUtf8EPKci</a></td>
              <td class="coverFnHi">63</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#271">_ZN7QStringC2EOS_</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#828">_ZN7QStringC2EPKc</a></td>
              <td class="coverFnHi">21</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#831">_ZN7QStringC2ERK10QByteArray</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1086">_ZN7QStringC2ERKS_</a></td>
              <td class="coverFnHi">26</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1299">_ZN7QStringC2Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1300">_ZN7QStringD2Ev</a></td>
              <td class="coverFnHi">333</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#272">_ZN7QStringaSEOS_</a></td>
              <td class="coverFnHi">17</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#834">_ZN7QStringaSEPKc</a></td>
              <td class="coverFnHi">17</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#854">_ZN7QStringpLEPKc</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#563">_ZN7QStringpLERKS_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#275">_ZNK7QString4sizeEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1062">_ZNK7QString6lengthEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1070">_ZNK7QString7isEmptyEv</a></td>
              <td class="coverFnHi">1</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1350">_ZNK7QString8containsERKS_N2Qt15CaseSensitivityE</a></td>
              <td class="coverFnHi">46</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1078">_ZNK7QString9constDataEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1406">_ZNK7QStringeqEPKc</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1408">_ZNK7QStringneEPKc</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#676">_ZNKR7QString6toUtf8Ev</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#518">_ZNKR7QString7trimmedEv</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#678">_ZNO7QString6toUtf8Ev</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1528">_ZplPKcRK7QString</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1526">_ZplRK7QStringPKc</a></td>
              <td class="coverFnHi">2</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="qstring.h.gcov.html#1519">_ZplRK7QStringS1_</a></td>
              <td class="coverFnHi">2</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
